### Virtual Method

# Gio ActionGroup action_state_changed

since: 2.28

#### Declaration

    void
    action_state_changed (
      GActionGroup* action_group,
      const gchar* action_name,
      GVariant* state
    )

#### Description

Emits the `GActionGroup::action-state-changed` signal on `action_group`.

This function should only be called by `GActionGroup` implementations.

Available since: 2.28

#### Parameters

`action_name`

  Type: `const gchar*`

  The name of an action in the group.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`state`

  Type: `GVariant`

  The new state of the named action.

  The data is owned by the caller of the method.